Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class MethodParamsTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.MethodParamsTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodParamsType<T>

    public class MethodParamsTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodParamsType<T>

This class implements the `method-paramsType` xsd type

Original Documentation:

The method-paramsType defines a list of the
fully-qualified Java type names of the method parameters.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MethodParamsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MethodParamsTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getMethodParamList()` Returns all `method-param` elements
`MethodParamsType<T>` | `removeAllMethodParam()` Removes the `method-param` element
`MethodParamsType<T>` | `setMethodParam(java.lang.String methodParam)` Creates a new `method-param` element
`MethodParamsType<T>` | `setMethodParamList(java.lang.String... values)` Creates for all String objects representing `method-param` elements, a new `method-param` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodParamsTypeImpl

    public MethodParamsTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### MethodParamsTypeImpl

    public MethodParamsTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setMethodParam

    public MethodParamsType<T> setMethodParam(java.lang.String methodParam)

  Creates a new `method-param` element

  Specified by:
    `setMethodParam` in interface `MethodParamsType<T>`
  Returns:
    the current instance of `MethodParamsType`

### setMethodParamList

    public MethodParamsType<T> setMethodParamList(java.lang.String... values)

  Creates for all String objects representing `method-param` elements, a new `method-param` element

  Specified by:
    `setMethodParamList` in interface `MethodParamsType<T>`
  Parameters:
    `list` - of `method-param` objects
  Returns:
    the current instance of `MethodParamsType`

### removeAllMethodParam

    public MethodParamsType<T> removeAllMethodParam()

  Removes the `method-param` element

  Specified by:
    `removeAllMethodParam` in interface `MethodParamsType<T>`
  Returns:
    the current instance of `MethodParamsType`

### getMethodParamList

    public java.util.List<java.lang.String> getMethodParamList()

  Returns all `method-param` elements

  Specified by:
    `getMethodParamList` in interface `MethodParamsType<T>`
  Returns:
    list of `method-param`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD